/*
 * Copyright © 2025 Volla Systeme GmbH.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include "high_brightness_mode.h"
#include "src/core/handler_registration.h"

namespace repowerd
{

class NullHBM : public HighBrightnessMode
{
public:
    NullHBM() = default;

    void set_enabled(bool) override {}
    bool get_enabled() override { return false; }
    bool is_supported() const override { return false; }

    HandlerRegistration register_high_brightness_mode_handler(
        HighBrightnessModeHandler const&) override
    {
        return HandlerRegistration{[] {}};
    }
};

}
